(function ($) {
    $overlay = $('<div>').addClass("main-search--overlay").appendTo('body');
    $('.main-search--overlay').on('click', (evt) => {
        $(evt.currentTarget).removeClass('is--overlay');
        $('.entry--search').removeClass('is--active');
    });
    $('.entry--search ').on("click", (evt) => {
        if (StateManager.getCurrentState() != "xs") {
            $(evt.currentTarget).addClass('is--active');
            $('.main-search--overlay').addClass('is--overlay');
            $('.main-search--field')[0].focus();
        }
    });
})(jQuery);
